%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-aodh
Version:        9.5.0
Release:        2%{?dist}
Summary:        Puppet module for OpenStack Aodh
License:        Apache-2.0

URL:            https://launchpad.net/puppet-aodh

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=9.5.0
#
Patch0001: 0001-Add-hooks-for-external-install-svc-management.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Aodh

%prep
%setup -q -n openstack-aodh-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/aodh/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/aodh/



%files
%{_datadir}/openstack-puppet/modules/aodh/


%changelog
* Wed Apr 12 2017 Alex Schultz <aschultz@redhat.com> 9.5.0-2
- Add hooks for external install & svc management (rhbz#1441738)

* Mon Feb 13 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-1
- Update to 9.5.0 (rhbz#1421848)

* Wed Jan 04 2017 Jon Schlueter <jschluet@redhat.com> 9.4.1-2
- Added retries for db_sync (lp#1628580, lp#1645474)

* Mon Nov 07 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.1-1
- Update to 9.4.1

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.2.0-1
- Update to 9.2.0


